Get block
curl --request GET \
--url https://api.sortx.co.uk/blocks/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/blocks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/blocks/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"estateId": "<string>",
"postcode": "<string>",
"managementStartOn": "<string>",
"managementEndOn": "<string>",
"keyReference": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Get block
Get a block
GET
/
blocks
/
{id}
Get block
curl --request GET \
--url https://api.sortx.co.uk/blocks/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/blocks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/blocks/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"freeholderContactId": "<string>",
"freeholderCompanyId": "<string>",
"managingAgentContactId": "<string>",
"managingAgentCompanyId": "<string>",
"notes": "<string>",
"revision": 123,
"archivedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"estateId": "<string>",
"postcode": "<string>",
"managementStartOn": "<string>",
"managementEndOn": "<string>",
"keyReference": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success